Index: u-boot/include/configs/Total5200.h
===================================================================
RCS file: /tools/discvs/repository/u-boot/include/configs/Total5200.h,v
retrieving revision 1.6
diff -u -r1.6 Total5200.h
--- u-boot/include/configs/Total5200.h	5 Jul 2004 12:44:37 -0000	1.6
+++ u-boot/include/configs/Total5200.h	5 Jul 2004 14:28:57 -0000
@@ -149,9 +149,11 @@
  */
 #define CONFIG_BOOTDELAY	5	/* autoboot after 5 seconds */
 
-#define CONFIG_PREBOOT "echo;"	\
-	"echo Type \"run flash_nfs\" to mount root filesystem over NFS;" \
-	"echo"
+#define CONFIG_PREBOOT \
+        "setenv stdout serial;setenv stderr serial;" \
+        "echo;" \
+        "echo Type \"run flash_nfs\" to mount root filesystem over NFS;" \
+        "echo"
 
 #undef	CONFIG_BOOTARGS
 
@@ -222,7 +224,7 @@
 #   define CFG_FLASH_SIZE	0x06000000
 #endif /* CONFIG_TOTAL5200_REV */
 
-#if !defined(CFG_LOWBOOT)
+#if defined(CFG_LOWBOOT)
 #   define CFG_ENV_ADDR		0xFE040000
 #else	/* CFG_LOWBOOT */
 #   define CFG_ENV_ADDR		0xFFF40000
